.\" $NetBSD: groupadd.8,v 1.16 2006/01/20 21:50:54 wiz Exp $ */
.\"
.\" Copyright (c) 1999 Alistair G. Crooks.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
.\" GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
.\" WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
.\" NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
.\" SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd November 7, 2005
.Dt GROUPADD 8
.Os
.Sh NAME
.Nm groupadd
.Nd add a group to the system
.Sh SYNOPSIS
.Nm
.Op Fl ov
.Op Fl g Ar gid
.Op Fl r Ar lowgid Ns Li .. Ns Ar highgid
.Ar group
.Sh DESCRIPTION
The
.Nm
utility adds a group to the system.
See
.Xr group 8
for more information about
.Dv EXTENSIONS .
The options are as follows:
.Bl -tag -width Ds
.It Fl g Ar gid
Give the numeric group identifier to be used for the new group.
.It Fl o
Allow the new group to have a gid which is already in use for
another group.
.It Fl r Ar lowgid Ns Li .. Ns Ar highgid
Set the low and high bounds of a gid range for new groups.
A new group can only be created if there are gids which can be
assigned inside the range.
This option is included if built with
.Dv EXTENSIONS .
.It Fl v
Enable verbose mode - explain the commands as they are executed.
This option is included if built with
.Dv EXTENSIONS .
.El
.Sh EXIT STATUS
.Ex -std groupadd
.Sh SEE ALSO
.Xr group 5 ,
.Xr group 8 ,
.Xr user 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 1.5 .
It is based on the
.Ar addnerd
package by the same author.
.Sh AUTHORS
The
.Nm
utility was written by
.An Alistair G. Crooks
.Aq agc@NetBSD.org .
